==========
Constraint
==========


The Constraint commands define constraints between regions of the model.

Create constraints
------------------

.. autoclass:: abaqus.Constraint.ConstraintModel.ConstraintModel
    :noindex:
    :members:

    .. autoclasstoc::


Object features
---------------

Constraint
~~~~~~~~~~

.. autoclass:: abaqus.Constraint.Constraint.Constraint
    :members:

    .. autoclasstoc::

AdjustPoints
~~~~~~~~~~~~

.. autoclass:: abaqus.Constraint.AdjustPoints.AdjustPoints
    :members:

    .. autoclasstoc::


Coupling
~~~~~~~~

.. autoclass:: abaqus.Constraint.Coupling.Coupling
    :members:

    .. autoclasstoc::

DisplayBody
~~~~~~~~~~~

.. autoclass:: abaqus.Constraint.DisplayBody.DisplayBody
    :members:

    .. autoclasstoc::

EmbeddedRegion
~~~~~~~~~~~~~~

.. autoclass:: abaqus.Constraint.EmbeddedRegion.EmbeddedRegion
    :members:

    .. autoclasstoc::

Equation
~~~~~~~~

.. autoclass:: abaqus.Constraint.Equation.Equation
    :members:

    .. autoclasstoc::

MultipointConstraint
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Constraint.MultipointConstraint.MultipointConstraint
    :members:

    .. autoclasstoc::

RigidBody
~~~~~~~~~

.. autoclass:: abaqus.Constraint.RigidBody.RigidBody
    :members:

    .. autoclasstoc::

ShellSolidCoupling
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Constraint.ShellSolidCoupling.ShellSolidCoupling
    :members:

    .. autoclasstoc::

Tie
~~~

.. autoclass:: abaqus.Constraint.Tie.Tie
    :members:

    .. autoclasstoc::